-- tx_ratematcher.vhd

-- Generated using ACDS version 16.1 203

library IEEE;
library tx_ratematcher_fifo_161;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity tx_ratematcher is
	port (
		data    : in  std_logic_vector(255 downto 0) := (others => '0'); --  fifo_input.datain
		wrreq   : in  std_logic                      := '0';             --            .wrreq
		rdreq   : in  std_logic                      := '0';             --            .rdreq
		wrclk   : in  std_logic                      := '0';             --            .wrclk
		rdclk   : in  std_logic                      := '0';             --            .rdclk
		aclr    : in  std_logic                      := '0';             --            .aclr
		q       : out std_logic_vector(255 downto 0);                    -- fifo_output.dataout
		rdusedw : out std_logic_vector(4 downto 0);                      --            .rdusedw
		wrusedw : out std_logic_vector(4 downto 0);                      --            .wrusedw
		rdfull  : out std_logic;                                         --            .rdfull
		rdempty : out std_logic;                                         --            .rdempty
		wrfull  : out std_logic                                          --            .wrfull
	);
end entity tx_ratematcher;

architecture rtl of tx_ratematcher is
	component tx_ratematcher_fifo_161_pvid3cq is
		port (
			data    : in  std_logic_vector(255 downto 0) := (others => 'X'); -- datain
			wrreq   : in  std_logic                      := 'X';             -- wrreq
			rdreq   : in  std_logic                      := 'X';             -- rdreq
			wrclk   : in  std_logic                      := 'X';             -- wrclk
			rdclk   : in  std_logic                      := 'X';             -- rdclk
			aclr    : in  std_logic                      := 'X';             -- aclr
			q       : out std_logic_vector(255 downto 0);                    -- dataout
			rdusedw : out std_logic_vector(4 downto 0);                      -- rdusedw
			wrusedw : out std_logic_vector(4 downto 0);                      -- wrusedw
			rdfull  : out std_logic;                                         -- rdfull
			rdempty : out std_logic;                                         -- rdempty
			wrfull  : out std_logic                                          -- wrfull
		);
	end component tx_ratematcher_fifo_161_pvid3cq;

	for tx_ratematcher : tx_ratematcher_fifo_161_pvid3cq
		use entity tx_ratematcher_fifo_161.tx_ratematcher_fifo_161_pvid3cq;
begin

	tx_ratematcher : component tx_ratematcher_fifo_161_pvid3cq
		port map (
			data    => data,    --  fifo_input.datain
			wrreq   => wrreq,   --            .wrreq
			rdreq   => rdreq,   --            .rdreq
			wrclk   => wrclk,   --            .wrclk
			rdclk   => rdclk,   --            .rdclk
			aclr    => aclr,    --            .aclr
			q       => q,       -- fifo_output.dataout
			rdusedw => rdusedw, --            .rdusedw
			wrusedw => wrusedw, --            .wrusedw
			rdfull  => rdfull,  --            .rdfull
			rdempty => rdempty, --            .rdempty
			wrfull  => wrfull   --            .wrfull
		);

end architecture rtl; -- of tx_ratematcher
