
module xcvr_superlite_ii (
	reconfig_write,
	reconfig_read,
	reconfig_address,
	reconfig_writedata,
	reconfig_readdata,
	reconfig_waitrequest,
	reconfig_clk,
	reconfig_reset,
	rx_analogreset,
	rx_bitslip,
	rx_cal_busy,
	rx_cdr_refclk0,
	rx_clkout,
	rx_control,
	rx_coreclkin,
	rx_digitalreset,
	rx_enh_fifo_empty,
	rx_enh_fifo_full,
	rx_enh_fifo_pempty,
	rx_enh_fifo_pfull,
	rx_enh_fifo_rd_en,
	rx_is_lockedtodata,
	rx_is_lockedtoref,
	rx_parallel_data,
	rx_pma_div_clkout,
	rx_serial_data,
	rx_seriallpbken,
	rx_set_locktodata,
	rx_set_locktoref,
	tx_analogreset,
	tx_cal_busy,
	tx_clkout,
	tx_control,
	tx_coreclkin,
	tx_digitalreset,
	tx_enh_data_valid,
	tx_parallel_data,
	tx_pma_clkout,
	tx_pma_div_clkout,
	tx_serial_clk0,
	tx_serial_data,
	unused_rx_control,
	unused_rx_parallel_data,
	unused_tx_control,
	unused_tx_parallel_data);	

	input	[0:0]	reconfig_write;
	input	[0:0]	reconfig_read;
	input	[11:0]	reconfig_address;
	input	[31:0]	reconfig_writedata;
	output	[31:0]	reconfig_readdata;
	output	[0:0]	reconfig_waitrequest;
	input	[0:0]	reconfig_clk;
	input	[0:0]	reconfig_reset;
	input	[3:0]	rx_analogreset;
	input	[3:0]	rx_bitslip;
	output	[3:0]	rx_cal_busy;
	input		rx_cdr_refclk0;
	output	[3:0]	rx_clkout;
	output	[7:0]	rx_control;
	input	[3:0]	rx_coreclkin;
	input	[3:0]	rx_digitalreset;
	output	[3:0]	rx_enh_fifo_empty;
	output	[3:0]	rx_enh_fifo_full;
	output	[3:0]	rx_enh_fifo_pempty;
	output	[3:0]	rx_enh_fifo_pfull;
	input	[3:0]	rx_enh_fifo_rd_en;
	output	[3:0]	rx_is_lockedtodata;
	output	[3:0]	rx_is_lockedtoref;
	output	[255:0]	rx_parallel_data;
	output	[3:0]	rx_pma_div_clkout;
	input	[3:0]	rx_serial_data;
	input	[3:0]	rx_seriallpbken;
	input	[3:0]	rx_set_locktodata;
	input	[3:0]	rx_set_locktoref;
	input	[3:0]	tx_analogreset;
	output	[3:0]	tx_cal_busy;
	output	[3:0]	tx_clkout;
	input	[7:0]	tx_control;
	input	[3:0]	tx_coreclkin;
	input	[3:0]	tx_digitalreset;
	input	[3:0]	tx_enh_data_valid;
	input	[255:0]	tx_parallel_data;
	output	[3:0]	tx_pma_clkout;
	output	[3:0]	tx_pma_div_clkout;
	input	[3:0]	tx_serial_clk0;
	output	[3:0]	tx_serial_data;
	output	[71:0]	unused_rx_control;
	output	[255:0]	unused_rx_parallel_data;
	input	[63:0]	unused_tx_control;
	input	[255:0]	unused_tx_parallel_data;
endmodule
