
#*********************************************************************************
# Set Aynschronous Clock Groups
#*********************************************************************************


set_clock_groups -asynchronous \
-group {LVDS_CLK3p} \
-group {REFCLKGXBL_1E_Tp} \
-group [get_clocks {inst2|superliteii_txrx_module_inst|xcvr_txrx_inst|xcvr_txrx_inst|xcvr_native_a10_0|g_xcvr_native_insts[0]|tx_pma_div_clk}] \
-group [get_clocks {inst2|superliteii_txrx_module_inst|xcvr_txrx_inst|xcvr_txrx_inst|xcvr_native_a10_0|g_xcvr_native_insts[0]|rx_pma_div_clk}] \
-group [get_clocks {inst2|superliteii_txrx_module_inst|xcvr_txrx_inst|xcvr_txrx_inst|xcvr_native_a10_0|g_xcvr_native_insts[*]|rx_pma_clk}]

# Note that the above constraint is required to move from the asynchronous rx_pma_clk to the rx_pma_divclk which is synchronized.

create_clock -period "40.000 ns" -name {altera_reserved_tck} {altera_reserved_tck}

#JTAG Signal Constraints
#constrain the TDI TMS and TDO ports  -- (modified from timequest SDC cookbook)
set_input_delay  -clock altera_reserved_tck 5 [get_ports altera_reserved_tdi]
set_input_delay  -clock altera_reserved_tck 5 [get_ports altera_reserved_tms]
set_output_delay -clock altera_reserved_tck -clock_fall -fall -max 5 [get_ports altera_reserved_tdo]
