// controller.v

// Generated using ACDS version 16.1 203

`timescale 1 ps / 1 ps
module controller (
		input  wire [15:0] in_port_to_the_BitErrorCount_Reg,    //           biterrorcount_reg.export
		input  wire [31:0] in_port_to_the_Bitrate_Reg,          //                 bitrate_reg.export
		input  wire [15:0] in_port_to_the_Channel_Reg,          //                 channel_reg.export
		input  wire        clk,                                 //                  clk_clk_in.clk
		input  wire        reset_n,                             //            clk_clk_in_reset.reset_n
		output wire [15:0] out_port_from_the_Control2_Reg,      //                control2_reg.export
		output wire [15:0] out_port_from_the_Control_Reg,       //                 control_reg.export
		input  wire [31:0] count_reset_reg_export,              //             count_reset_reg.export
		input  wire [31:0] in_port_to_the_Counter_1ms_Reg,      //             counter_1ms_reg.export
		input  wire [31:0] dataclock_reg_export,                //               dataclock_reg.export
		input  wire [31:0] dataout_clock_reg_export,            //           dataout_clock_reg.export
		input  wire [31:0] delay_reg_export,                    //                   delay_reg.export
		input  wire [31:0] delay_reg_2_export,                  //                 delay_reg_2.export
		input  wire [31:0] fec_correctable_error_reg_export,    //   fec_correctable_error_reg.export
		input  wire [15:0] fec_uncorrectable_error_reg_export,  // fec_uncorrectable_error_reg.export
		input  wire [7:0]  latency_max_reg_export,              //             latency_max_reg.export
		input  wire [7:0]  latency_min_reg_export,              //             latency_min_reg.export
		output wire [15:0] s0_address_from_the_reconfig_mgmt,   //             reconfig_mgmt_0.address
		output wire        s0_read_from_the_reconfig_mgmt,      //                            .read
		input  wire [31:0] s0_readdata_to_the_reconfig_mgmt,    //                            .readdata
		output wire        s0_write_from_the_reconfig_mgmt,     //                            .write
		output wire [31:0] s0_writedata_from_the_reconfig_mgmt, //                            .writedata
		input  wire        s0_waitrequest_to_the_reconfig_mgmt, //                            .waitrequest
		output wire        reconfig_mgmt_pll_reset_reset,       //     reconfig_mgmt_pll_reset.reset
		output wire [15:0] reconfig_mgmt_pll_s0_address,        //        reconfig_mgmt_pll_s0.address
		output wire        reconfig_mgmt_pll_s0_read,           //                            .read
		input  wire [31:0] reconfig_mgmt_pll_s0_readdata,       //                            .readdata
		output wire        reconfig_mgmt_pll_s0_write,          //                            .write
		output wire [31:0] reconfig_mgmt_pll_s0_writedata,      //                            .writedata
		input  wire        reconfig_mgmt_pll_s0_waitrequest,    //                            .waitrequest
		output wire        reset_reset_from_the_reconfig_mgmt,  //         reconfig_mgmt_reset.reset
		input  wire [7:0]  temperature_reg_export               //             temperature_reg.export
	);

	wire  [31:0] nios2_data_master_readdata;                                  // mm_interconnect_0:nios2_data_master_readdata -> nios2:d_readdata
	wire         nios2_data_master_waitrequest;                               // mm_interconnect_0:nios2_data_master_waitrequest -> nios2:d_waitrequest
	wire         nios2_data_master_debugaccess;                               // nios2:debug_mem_slave_debugaccess_to_roms -> mm_interconnect_0:nios2_data_master_debugaccess
	wire  [20:0] nios2_data_master_address;                                   // nios2:d_address -> mm_interconnect_0:nios2_data_master_address
	wire   [3:0] nios2_data_master_byteenable;                                // nios2:d_byteenable -> mm_interconnect_0:nios2_data_master_byteenable
	wire         nios2_data_master_read;                                      // nios2:d_read -> mm_interconnect_0:nios2_data_master_read
	wire         nios2_data_master_readdatavalid;                             // mm_interconnect_0:nios2_data_master_readdatavalid -> nios2:d_readdatavalid
	wire         nios2_data_master_write;                                     // nios2:d_write -> mm_interconnect_0:nios2_data_master_write
	wire  [31:0] nios2_data_master_writedata;                                 // nios2:d_writedata -> mm_interconnect_0:nios2_data_master_writedata
	wire  [31:0] nios2_instruction_master_readdata;                           // mm_interconnect_0:nios2_instruction_master_readdata -> nios2:i_readdata
	wire         nios2_instruction_master_waitrequest;                        // mm_interconnect_0:nios2_instruction_master_waitrequest -> nios2:i_waitrequest
	wire  [20:0] nios2_instruction_master_address;                            // nios2:i_address -> mm_interconnect_0:nios2_instruction_master_address
	wire         nios2_instruction_master_read;                               // nios2:i_read -> mm_interconnect_0:nios2_instruction_master_read
	wire         nios2_instruction_master_readdatavalid;                      // mm_interconnect_0:nios2_instruction_master_readdatavalid -> nios2:i_readdatavalid
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect;    // mm_interconnect_0:jtag_uart_avalon_jtag_slave_chipselect -> jtag_uart:av_chipselect
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata;      // jtag_uart:av_readdata -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_readdata
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest;   // jtag_uart:av_waitrequest -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_waitrequest
	wire   [0:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_address;       // mm_interconnect_0:jtag_uart_avalon_jtag_slave_address -> jtag_uart:av_address
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_read;          // mm_interconnect_0:jtag_uart_avalon_jtag_slave_read -> jtag_uart:av_read_n
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_write;         // mm_interconnect_0:jtag_uart_avalon_jtag_slave_write -> jtag_uart:av_write_n
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata;     // mm_interconnect_0:jtag_uart_avalon_jtag_slave_writedata -> jtag_uart:av_writedata
	wire  [31:0] mm_interconnect_0_nios2_debug_mem_slave_readdata;            // nios2:debug_mem_slave_readdata -> mm_interconnect_0:nios2_debug_mem_slave_readdata
	wire         mm_interconnect_0_nios2_debug_mem_slave_waitrequest;         // nios2:debug_mem_slave_waitrequest -> mm_interconnect_0:nios2_debug_mem_slave_waitrequest
	wire         mm_interconnect_0_nios2_debug_mem_slave_debugaccess;         // mm_interconnect_0:nios2_debug_mem_slave_debugaccess -> nios2:debug_mem_slave_debugaccess
	wire   [8:0] mm_interconnect_0_nios2_debug_mem_slave_address;             // mm_interconnect_0:nios2_debug_mem_slave_address -> nios2:debug_mem_slave_address
	wire         mm_interconnect_0_nios2_debug_mem_slave_read;                // mm_interconnect_0:nios2_debug_mem_slave_read -> nios2:debug_mem_slave_read
	wire   [3:0] mm_interconnect_0_nios2_debug_mem_slave_byteenable;          // mm_interconnect_0:nios2_debug_mem_slave_byteenable -> nios2:debug_mem_slave_byteenable
	wire         mm_interconnect_0_nios2_debug_mem_slave_write;               // mm_interconnect_0:nios2_debug_mem_slave_write -> nios2:debug_mem_slave_write
	wire  [31:0] mm_interconnect_0_nios2_debug_mem_slave_writedata;           // mm_interconnect_0:nios2_debug_mem_slave_writedata -> nios2:debug_mem_slave_writedata
	wire         mm_interconnect_0_prg_ram_s1_chipselect;                     // mm_interconnect_0:prg_ram_s1_chipselect -> prg_ram:chipselect
	wire  [31:0] mm_interconnect_0_prg_ram_s1_readdata;                       // prg_ram:readdata -> mm_interconnect_0:prg_ram_s1_readdata
	wire  [15:0] mm_interconnect_0_prg_ram_s1_address;                        // mm_interconnect_0:prg_ram_s1_address -> prg_ram:address
	wire   [3:0] mm_interconnect_0_prg_ram_s1_byteenable;                     // mm_interconnect_0:prg_ram_s1_byteenable -> prg_ram:byteenable
	wire         mm_interconnect_0_prg_ram_s1_write;                          // mm_interconnect_0:prg_ram_s1_write -> prg_ram:write
	wire  [31:0] mm_interconnect_0_prg_ram_s1_writedata;                      // mm_interconnect_0:prg_ram_s1_writedata -> prg_ram:writedata
	wire         mm_interconnect_0_prg_ram_s1_clken;                          // mm_interconnect_0:prg_ram_s1_clken -> prg_ram:clken
	wire         mm_interconnect_0_control_reg_s1_chipselect;                 // mm_interconnect_0:Control_Reg_s1_chipselect -> Control_Reg:chipselect
	wire  [31:0] mm_interconnect_0_control_reg_s1_readdata;                   // Control_Reg:readdata -> mm_interconnect_0:Control_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_control_reg_s1_address;                    // mm_interconnect_0:Control_Reg_s1_address -> Control_Reg:address
	wire         mm_interconnect_0_control_reg_s1_write;                      // mm_interconnect_0:Control_Reg_s1_write -> Control_Reg:write_n
	wire  [31:0] mm_interconnect_0_control_reg_s1_writedata;                  // mm_interconnect_0:Control_Reg_s1_writedata -> Control_Reg:writedata
	wire         mm_interconnect_0_control2_reg_s1_chipselect;                // mm_interconnect_0:Control2_Reg_s1_chipselect -> Control2_Reg:chipselect
	wire  [31:0] mm_interconnect_0_control2_reg_s1_readdata;                  // Control2_Reg:readdata -> mm_interconnect_0:Control2_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_control2_reg_s1_address;                   // mm_interconnect_0:Control2_Reg_s1_address -> Control2_Reg:address
	wire         mm_interconnect_0_control2_reg_s1_write;                     // mm_interconnect_0:Control2_Reg_s1_write -> Control2_Reg:write_n
	wire  [31:0] mm_interconnect_0_control2_reg_s1_writedata;                 // mm_interconnect_0:Control2_Reg_s1_writedata -> Control2_Reg:writedata
	wire         mm_interconnect_0_irq_10us_s1_chipselect;                    // mm_interconnect_0:irq_10us_s1_chipselect -> irq_10us:chipselect
	wire  [15:0] mm_interconnect_0_irq_10us_s1_readdata;                      // irq_10us:readdata -> mm_interconnect_0:irq_10us_s1_readdata
	wire   [2:0] mm_interconnect_0_irq_10us_s1_address;                       // mm_interconnect_0:irq_10us_s1_address -> irq_10us:address
	wire         mm_interconnect_0_irq_10us_s1_write;                         // mm_interconnect_0:irq_10us_s1_write -> irq_10us:write_n
	wire  [15:0] mm_interconnect_0_irq_10us_s1_writedata;                     // mm_interconnect_0:irq_10us_s1_writedata -> irq_10us:writedata
	wire         mm_interconnect_0_counter_1ms_reg_s1_chipselect;             // mm_interconnect_0:Counter_1ms_Reg_s1_chipselect -> Counter_1ms_Reg:chipselect
	wire  [31:0] mm_interconnect_0_counter_1ms_reg_s1_readdata;               // Counter_1ms_Reg:readdata -> mm_interconnect_0:Counter_1ms_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_counter_1ms_reg_s1_address;                // mm_interconnect_0:Counter_1ms_Reg_s1_address -> Counter_1ms_Reg:address
	wire         mm_interconnect_0_counter_1ms_reg_s1_write;                  // mm_interconnect_0:Counter_1ms_Reg_s1_write -> Counter_1ms_Reg:write_n
	wire  [31:0] mm_interconnect_0_counter_1ms_reg_s1_writedata;              // mm_interconnect_0:Counter_1ms_Reg_s1_writedata -> Counter_1ms_Reg:writedata
	wire         mm_interconnect_0_channel_reg_s1_chipselect;                 // mm_interconnect_0:Channel_Reg_s1_chipselect -> Channel_Reg:chipselect
	wire  [31:0] mm_interconnect_0_channel_reg_s1_readdata;                   // Channel_Reg:readdata -> mm_interconnect_0:Channel_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_channel_reg_s1_address;                    // mm_interconnect_0:Channel_Reg_s1_address -> Channel_Reg:address
	wire         mm_interconnect_0_channel_reg_s1_write;                      // mm_interconnect_0:Channel_Reg_s1_write -> Channel_Reg:write_n
	wire  [31:0] mm_interconnect_0_channel_reg_s1_writedata;                  // mm_interconnect_0:Channel_Reg_s1_writedata -> Channel_Reg:writedata
	wire         mm_interconnect_0_sys_clk_timer_s1_chipselect;               // mm_interconnect_0:sys_clk_timer_s1_chipselect -> sys_clk_timer:chipselect
	wire  [15:0] mm_interconnect_0_sys_clk_timer_s1_readdata;                 // sys_clk_timer:readdata -> mm_interconnect_0:sys_clk_timer_s1_readdata
	wire   [2:0] mm_interconnect_0_sys_clk_timer_s1_address;                  // mm_interconnect_0:sys_clk_timer_s1_address -> sys_clk_timer:address
	wire         mm_interconnect_0_sys_clk_timer_s1_write;                    // mm_interconnect_0:sys_clk_timer_s1_write -> sys_clk_timer:write_n
	wire  [15:0] mm_interconnect_0_sys_clk_timer_s1_writedata;                // mm_interconnect_0:sys_clk_timer_s1_writedata -> sys_clk_timer:writedata
	wire         mm_interconnect_0_biterrorcount_reg_s1_chipselect;           // mm_interconnect_0:BitErrorCount_Reg_s1_chipselect -> BitErrorCount_Reg:chipselect
	wire  [31:0] mm_interconnect_0_biterrorcount_reg_s1_readdata;             // BitErrorCount_Reg:readdata -> mm_interconnect_0:BitErrorCount_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_biterrorcount_reg_s1_address;              // mm_interconnect_0:BitErrorCount_Reg_s1_address -> BitErrorCount_Reg:address
	wire         mm_interconnect_0_biterrorcount_reg_s1_write;                // mm_interconnect_0:BitErrorCount_Reg_s1_write -> BitErrorCount_Reg:write_n
	wire  [31:0] mm_interconnect_0_biterrorcount_reg_s1_writedata;            // mm_interconnect_0:BitErrorCount_Reg_s1_writedata -> BitErrorCount_Reg:writedata
	wire         mm_interconnect_0_bitrate_reg_s1_chipselect;                 // mm_interconnect_0:Bitrate_Reg_s1_chipselect -> Bitrate_Reg:chipselect
	wire  [31:0] mm_interconnect_0_bitrate_reg_s1_readdata;                   // Bitrate_Reg:readdata -> mm_interconnect_0:Bitrate_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_bitrate_reg_s1_address;                    // mm_interconnect_0:Bitrate_Reg_s1_address -> Bitrate_Reg:address
	wire         mm_interconnect_0_bitrate_reg_s1_write;                      // mm_interconnect_0:Bitrate_Reg_s1_write -> Bitrate_Reg:write_n
	wire  [31:0] mm_interconnect_0_bitrate_reg_s1_writedata;                  // mm_interconnect_0:Bitrate_Reg_s1_writedata -> Bitrate_Reg:writedata
	wire         mm_interconnect_0_dataclock_reg_s1_chipselect;               // mm_interconnect_0:DataClock_Reg_s1_chipselect -> DataClock_Reg:chipselect
	wire  [31:0] mm_interconnect_0_dataclock_reg_s1_readdata;                 // DataClock_Reg:readdata -> mm_interconnect_0:DataClock_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_dataclock_reg_s1_address;                  // mm_interconnect_0:DataClock_Reg_s1_address -> DataClock_Reg:address
	wire         mm_interconnect_0_dataclock_reg_s1_write;                    // mm_interconnect_0:DataClock_Reg_s1_write -> DataClock_Reg:write_n
	wire  [31:0] mm_interconnect_0_dataclock_reg_s1_writedata;                // mm_interconnect_0:DataClock_Reg_s1_writedata -> DataClock_Reg:writedata
	wire         mm_interconnect_0_latency_max_reg_s1_chipselect;             // mm_interconnect_0:Latency_Max_Reg_s1_chipselect -> Latency_Max_Reg:chipselect
	wire  [31:0] mm_interconnect_0_latency_max_reg_s1_readdata;               // Latency_Max_Reg:readdata -> mm_interconnect_0:Latency_Max_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_latency_max_reg_s1_address;                // mm_interconnect_0:Latency_Max_Reg_s1_address -> Latency_Max_Reg:address
	wire         mm_interconnect_0_latency_max_reg_s1_write;                  // mm_interconnect_0:Latency_Max_Reg_s1_write -> Latency_Max_Reg:write_n
	wire  [31:0] mm_interconnect_0_latency_max_reg_s1_writedata;              // mm_interconnect_0:Latency_Max_Reg_s1_writedata -> Latency_Max_Reg:writedata
	wire         mm_interconnect_0_temperature_reg_s1_chipselect;             // mm_interconnect_0:Temperature_Reg_s1_chipselect -> Temperature_Reg:chipselect
	wire  [31:0] mm_interconnect_0_temperature_reg_s1_readdata;               // Temperature_Reg:readdata -> mm_interconnect_0:Temperature_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_temperature_reg_s1_address;                // mm_interconnect_0:Temperature_Reg_s1_address -> Temperature_Reg:address
	wire         mm_interconnect_0_temperature_reg_s1_write;                  // mm_interconnect_0:Temperature_Reg_s1_write -> Temperature_Reg:write_n
	wire  [31:0] mm_interconnect_0_temperature_reg_s1_writedata;              // mm_interconnect_0:Temperature_Reg_s1_writedata -> Temperature_Reg:writedata
	wire         mm_interconnect_0_delay_reg_s1_chipselect;                   // mm_interconnect_0:Delay_Reg_s1_chipselect -> Delay_Reg:chipselect
	wire  [31:0] mm_interconnect_0_delay_reg_s1_readdata;                     // Delay_Reg:readdata -> mm_interconnect_0:Delay_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_delay_reg_s1_address;                      // mm_interconnect_0:Delay_Reg_s1_address -> Delay_Reg:address
	wire         mm_interconnect_0_delay_reg_s1_write;                        // mm_interconnect_0:Delay_Reg_s1_write -> Delay_Reg:write_n
	wire  [31:0] mm_interconnect_0_delay_reg_s1_writedata;                    // mm_interconnect_0:Delay_Reg_s1_writedata -> Delay_Reg:writedata
	wire         mm_interconnect_0_delay_reg_2_s1_chipselect;                 // mm_interconnect_0:Delay_Reg_2_s1_chipselect -> Delay_Reg_2:chipselect
	wire  [31:0] mm_interconnect_0_delay_reg_2_s1_readdata;                   // Delay_Reg_2:readdata -> mm_interconnect_0:Delay_Reg_2_s1_readdata
	wire   [1:0] mm_interconnect_0_delay_reg_2_s1_address;                    // mm_interconnect_0:Delay_Reg_2_s1_address -> Delay_Reg_2:address
	wire         mm_interconnect_0_delay_reg_2_s1_write;                      // mm_interconnect_0:Delay_Reg_2_s1_write -> Delay_Reg_2:write_n
	wire  [31:0] mm_interconnect_0_delay_reg_2_s1_writedata;                  // mm_interconnect_0:Delay_Reg_2_s1_writedata -> Delay_Reg_2:writedata
	wire         mm_interconnect_0_count_reset_reg_s1_chipselect;             // mm_interconnect_0:Count_Reset_Reg_s1_chipselect -> Count_Reset_Reg:chipselect
	wire  [31:0] mm_interconnect_0_count_reset_reg_s1_readdata;               // Count_Reset_Reg:readdata -> mm_interconnect_0:Count_Reset_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_count_reset_reg_s1_address;                // mm_interconnect_0:Count_Reset_Reg_s1_address -> Count_Reset_Reg:address
	wire         mm_interconnect_0_count_reset_reg_s1_write;                  // mm_interconnect_0:Count_Reset_Reg_s1_write -> Count_Reset_Reg:write_n
	wire  [31:0] mm_interconnect_0_count_reset_reg_s1_writedata;              // mm_interconnect_0:Count_Reset_Reg_s1_writedata -> Count_Reset_Reg:writedata
	wire         mm_interconnect_0_dataout_clock_reg_s1_chipselect;           // mm_interconnect_0:Dataout_Clock_Reg_s1_chipselect -> Dataout_Clock_Reg:chipselect
	wire  [31:0] mm_interconnect_0_dataout_clock_reg_s1_readdata;             // Dataout_Clock_Reg:readdata -> mm_interconnect_0:Dataout_Clock_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_dataout_clock_reg_s1_address;              // mm_interconnect_0:Dataout_Clock_Reg_s1_address -> Dataout_Clock_Reg:address
	wire         mm_interconnect_0_dataout_clock_reg_s1_write;                // mm_interconnect_0:Dataout_Clock_Reg_s1_write -> Dataout_Clock_Reg:write_n
	wire  [31:0] mm_interconnect_0_dataout_clock_reg_s1_writedata;            // mm_interconnect_0:Dataout_Clock_Reg_s1_writedata -> Dataout_Clock_Reg:writedata
	wire         mm_interconnect_0_fec_correctable_error_reg_s1_chipselect;   // mm_interconnect_0:FEC_correctable_error_reg_s1_chipselect -> FEC_correctable_error_reg:chipselect
	wire  [31:0] mm_interconnect_0_fec_correctable_error_reg_s1_readdata;     // FEC_correctable_error_reg:readdata -> mm_interconnect_0:FEC_correctable_error_reg_s1_readdata
	wire   [1:0] mm_interconnect_0_fec_correctable_error_reg_s1_address;      // mm_interconnect_0:FEC_correctable_error_reg_s1_address -> FEC_correctable_error_reg:address
	wire         mm_interconnect_0_fec_correctable_error_reg_s1_write;        // mm_interconnect_0:FEC_correctable_error_reg_s1_write -> FEC_correctable_error_reg:write_n
	wire  [31:0] mm_interconnect_0_fec_correctable_error_reg_s1_writedata;    // mm_interconnect_0:FEC_correctable_error_reg_s1_writedata -> FEC_correctable_error_reg:writedata
	wire         mm_interconnect_0_fec_uncorrectable_error_reg_s1_chipselect; // mm_interconnect_0:FEC_uncorrectable_error_reg_s1_chipselect -> FEC_uncorrectable_error_reg:chipselect
	wire  [31:0] mm_interconnect_0_fec_uncorrectable_error_reg_s1_readdata;   // FEC_uncorrectable_error_reg:readdata -> mm_interconnect_0:FEC_uncorrectable_error_reg_s1_readdata
	wire   [1:0] mm_interconnect_0_fec_uncorrectable_error_reg_s1_address;    // mm_interconnect_0:FEC_uncorrectable_error_reg_s1_address -> FEC_uncorrectable_error_reg:address
	wire         mm_interconnect_0_fec_uncorrectable_error_reg_s1_write;      // mm_interconnect_0:FEC_uncorrectable_error_reg_s1_write -> FEC_uncorrectable_error_reg:write_n
	wire  [31:0] mm_interconnect_0_fec_uncorrectable_error_reg_s1_writedata;  // mm_interconnect_0:FEC_uncorrectable_error_reg_s1_writedata -> FEC_uncorrectable_error_reg:writedata
	wire         mm_interconnect_0_latency_min_reg_s1_chipselect;             // mm_interconnect_0:Latency_Min_Reg_s1_chipselect -> Latency_Min_Reg:chipselect
	wire  [31:0] mm_interconnect_0_latency_min_reg_s1_readdata;               // Latency_Min_Reg:readdata -> mm_interconnect_0:Latency_Min_Reg_s1_readdata
	wire   [1:0] mm_interconnect_0_latency_min_reg_s1_address;                // mm_interconnect_0:Latency_Min_Reg_s1_address -> Latency_Min_Reg:address
	wire         mm_interconnect_0_latency_min_reg_s1_write;                  // mm_interconnect_0:Latency_Min_Reg_s1_write -> Latency_Min_Reg:write_n
	wire  [31:0] mm_interconnect_0_latency_min_reg_s1_writedata;              // mm_interconnect_0:Latency_Min_Reg_s1_writedata -> Latency_Min_Reg:writedata
	wire         irq_mapper_receiver0_irq;                                    // jtag_uart:av_irq -> irq_mapper:receiver0_irq
	wire         irq_mapper_receiver1_irq;                                    // irq_10us:irq -> irq_mapper:receiver1_irq
	wire         irq_mapper_receiver2_irq;                                    // sys_clk_timer:irq -> irq_mapper:receiver2_irq
	wire  [31:0] nios2_irq_irq;                                               // irq_mapper:sender_irq -> nios2:irq
	wire         rst_controller_reset_out_reset_req;                          // rst_controller:reset_req -> [nios2:reset_req, prg_ram:reset_req, rst_translator:reset_req_in]
	wire         nios2_debug_reset_request_reset;                             // nios2:debug_reset_request -> rst_controller:reset_in1

	controller_altera_avalon_pio_161_yfrvtui biterrorcount_reg (
		.clk        (clk),                                               //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),                    //               reset.reset_n
		.address    (mm_interconnect_0_biterrorcount_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_biterrorcount_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_biterrorcount_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_biterrorcount_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_biterrorcount_reg_s1_readdata),   //                    .readdata
		.in_port    (in_port_to_the_BitErrorCount_Reg)                   // external_connection.export
	);

	controller_altera_avalon_pio_161_4vvsrta bitrate_reg (
		.clk        (clk),                                         //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),              //               reset.reset_n
		.address    (mm_interconnect_0_bitrate_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_bitrate_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_bitrate_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_bitrate_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_bitrate_reg_s1_readdata),   //                    .readdata
		.in_port    (in_port_to_the_Bitrate_Reg)                   // external_connection.export
	);

	controller_altera_avalon_pio_161_yfrvtui channel_reg (
		.clk        (clk),                                         //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),              //               reset.reset_n
		.address    (mm_interconnect_0_channel_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_channel_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_channel_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_channel_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_channel_reg_s1_readdata),   //                    .readdata
		.in_port    (in_port_to_the_Channel_Reg)                   // external_connection.export
	);

	controller_altera_avalon_pio_161_xizz4vy control2_reg (
		.clk        (clk),                                          //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),               //               reset.reset_n
		.address    (mm_interconnect_0_control2_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_control2_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_control2_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_control2_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_control2_reg_s1_readdata),   //                    .readdata
		.out_port   (out_port_from_the_Control2_Reg)                // external_connection.export
	);

	controller_altera_avalon_pio_161_xizz4vy control_reg (
		.clk        (clk),                                         //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),              //               reset.reset_n
		.address    (mm_interconnect_0_control_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_control_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_control_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_control_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_control_reg_s1_readdata),   //                    .readdata
		.out_port   (out_port_from_the_Control_Reg)                // external_connection.export
	);

	controller_altera_avalon_pio_161_4vvsrta count_reset_reg (
		.clk        (clk),                                             //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),                  //               reset.reset_n
		.address    (mm_interconnect_0_count_reset_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_count_reset_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_count_reset_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_count_reset_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_count_reset_reg_s1_readdata),   //                    .readdata
		.in_port    (count_reset_reg_export)                           // external_connection.export
	);

	controller_altera_avalon_pio_161_4vvsrta counter_1ms_reg (
		.clk        (clk),                                             //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),                  //               reset.reset_n
		.address    (mm_interconnect_0_counter_1ms_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_counter_1ms_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_counter_1ms_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_counter_1ms_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_counter_1ms_reg_s1_readdata),   //                    .readdata
		.in_port    (in_port_to_the_Counter_1ms_Reg)                   // external_connection.export
	);

	controller_altera_avalon_pio_161_4vvsrta dataclock_reg (
		.clk        (clk),                                           //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),                //               reset.reset_n
		.address    (mm_interconnect_0_dataclock_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_dataclock_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_dataclock_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_dataclock_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_dataclock_reg_s1_readdata),   //                    .readdata
		.in_port    (dataclock_reg_export)                           // external_connection.export
	);

	controller_altera_avalon_pio_161_4vvsrta dataout_clock_reg (
		.clk        (clk),                                               //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),                    //               reset.reset_n
		.address    (mm_interconnect_0_dataout_clock_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_dataout_clock_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_dataout_clock_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_dataout_clock_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_dataout_clock_reg_s1_readdata),   //                    .readdata
		.in_port    (dataout_clock_reg_export)                           // external_connection.export
	);

	controller_altera_avalon_pio_161_4vvsrta delay_reg (
		.clk        (clk),                                       //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),            //               reset.reset_n
		.address    (mm_interconnect_0_delay_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_delay_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_delay_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_delay_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_delay_reg_s1_readdata),   //                    .readdata
		.in_port    (delay_reg_export)                           // external_connection.export
	);

	controller_altera_avalon_pio_161_4vvsrta delay_reg_2 (
		.clk        (clk),                                         //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),              //               reset.reset_n
		.address    (mm_interconnect_0_delay_reg_2_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_delay_reg_2_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_delay_reg_2_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_delay_reg_2_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_delay_reg_2_s1_readdata),   //                    .readdata
		.in_port    (delay_reg_2_export)                           // external_connection.export
	);

	controller_altera_avalon_pio_161_4vvsrta fec_correctable_error_reg (
		.clk        (clk),                                                       //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),                            //               reset.reset_n
		.address    (mm_interconnect_0_fec_correctable_error_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_fec_correctable_error_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_fec_correctable_error_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_fec_correctable_error_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_fec_correctable_error_reg_s1_readdata),   //                    .readdata
		.in_port    (fec_correctable_error_reg_export)                           // external_connection.export
	);

	controller_altera_avalon_pio_161_yfrvtui fec_uncorrectable_error_reg (
		.clk        (clk),                                                         //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),                              //               reset.reset_n
		.address    (mm_interconnect_0_fec_uncorrectable_error_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_fec_uncorrectable_error_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_fec_uncorrectable_error_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_fec_uncorrectable_error_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_fec_uncorrectable_error_reg_s1_readdata),   //                    .readdata
		.in_port    (fec_uncorrectable_error_reg_export)                           // external_connection.export
	);

	controller_altera_avalon_pio_161_gguunta latency_max_reg (
		.clk        (clk),                                             //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),                  //               reset.reset_n
		.address    (mm_interconnect_0_latency_max_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_latency_max_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_latency_max_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_latency_max_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_latency_max_reg_s1_readdata),   //                    .readdata
		.in_port    (latency_max_reg_export)                           // external_connection.export
	);

	controller_altera_avalon_pio_161_gguunta latency_min_reg (
		.clk        (clk),                                             //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),                  //               reset.reset_n
		.address    (mm_interconnect_0_latency_min_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_latency_min_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_latency_min_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_latency_min_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_latency_min_reg_s1_readdata),   //                    .readdata
		.in_port    (latency_min_reg_export)                           // external_connection.export
	);

	controller_altera_avalon_pio_161_gguunta temperature_reg (
		.clk        (clk),                                             //                 clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),                  //               reset.reset_n
		.address    (mm_interconnect_0_temperature_reg_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_temperature_reg_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_temperature_reg_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_temperature_reg_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_temperature_reg_s1_readdata),   //                    .readdata
		.in_port    (temperature_reg_export)                           // external_connection.export
	);

	controller_altera_avalon_timer_161_w4ef4si irq_10us (
		.clk        (clk),                                      //   clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),           // reset.reset_n
		.address    (mm_interconnect_0_irq_10us_s1_address),    //    s1.address
		.writedata  (mm_interconnect_0_irq_10us_s1_writedata),  //      .writedata
		.readdata   (mm_interconnect_0_irq_10us_s1_readdata),   //      .readdata
		.chipselect (mm_interconnect_0_irq_10us_s1_chipselect), //      .chipselect
		.write_n    (~mm_interconnect_0_irq_10us_s1_write),     //      .write_n
		.irq        (irq_mapper_receiver1_irq)                  //   irq.irq
	);

	controller_altera_avalon_jtag_uart_161_rlrkoqq jtag_uart (
		.clk            (clk),                                                       //               clk.clk
		.rst_n          (~reconfig_mgmt_pll_reset_reset),                            //             reset.reset_n
		.av_chipselect  (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),  // avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),     //                  .address
		.av_read_n      (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),       //                  .read_n
		.av_readdata    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),    //                  .readdata
		.av_write_n     (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),      //                  .write_n
		.av_writedata   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),   //                  .writedata
		.av_waitrequest (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest), //                  .waitrequest
		.av_irq         (irq_mapper_receiver0_irq)                                   //               irq.irq
	);

	controller_altera_nios2_gen2_161_cg6mk3i nios2 (
		.clk                                 (clk),                                                 //                       clk.clk
		.reset_n                             (~reconfig_mgmt_pll_reset_reset),                      //                     reset.reset_n
		.reset_req                           (rst_controller_reset_out_reset_req),                  //                          .reset_req
		.d_address                           (nios2_data_master_address),                           //               data_master.address
		.d_byteenable                        (nios2_data_master_byteenable),                        //                          .byteenable
		.d_read                              (nios2_data_master_read),                              //                          .read
		.d_readdata                          (nios2_data_master_readdata),                          //                          .readdata
		.d_waitrequest                       (nios2_data_master_waitrequest),                       //                          .waitrequest
		.d_write                             (nios2_data_master_write),                             //                          .write
		.d_writedata                         (nios2_data_master_writedata),                         //                          .writedata
		.d_readdatavalid                     (nios2_data_master_readdatavalid),                     //                          .readdatavalid
		.debug_mem_slave_debugaccess_to_roms (nios2_data_master_debugaccess),                       //                          .debugaccess
		.i_address                           (nios2_instruction_master_address),                    //        instruction_master.address
		.i_read                              (nios2_instruction_master_read),                       //                          .read
		.i_readdata                          (nios2_instruction_master_readdata),                   //                          .readdata
		.i_waitrequest                       (nios2_instruction_master_waitrequest),                //                          .waitrequest
		.i_readdatavalid                     (nios2_instruction_master_readdatavalid),              //                          .readdatavalid
		.irq                                 (nios2_irq_irq),                                       //                       irq.irq
		.debug_reset_request                 (nios2_debug_reset_request_reset),                     //       debug_reset_request.reset
		.debug_mem_slave_address             (mm_interconnect_0_nios2_debug_mem_slave_address),     //           debug_mem_slave.address
		.debug_mem_slave_byteenable          (mm_interconnect_0_nios2_debug_mem_slave_byteenable),  //                          .byteenable
		.debug_mem_slave_debugaccess         (mm_interconnect_0_nios2_debug_mem_slave_debugaccess), //                          .debugaccess
		.debug_mem_slave_read                (mm_interconnect_0_nios2_debug_mem_slave_read),        //                          .read
		.debug_mem_slave_readdata            (mm_interconnect_0_nios2_debug_mem_slave_readdata),    //                          .readdata
		.debug_mem_slave_waitrequest         (mm_interconnect_0_nios2_debug_mem_slave_waitrequest), //                          .waitrequest
		.debug_mem_slave_write               (mm_interconnect_0_nios2_debug_mem_slave_write),       //                          .write
		.debug_mem_slave_writedata           (mm_interconnect_0_nios2_debug_mem_slave_writedata),   //                          .writedata
		.dummy_ci_port                       ()                                                     // custom_instruction_master.readra
	);

	controller_altera_avalon_onchip_memory2_161_67rji3y prg_ram (
		.clk        (clk),                                     //   clk1.clk
		.address    (mm_interconnect_0_prg_ram_s1_address),    //     s1.address
		.clken      (mm_interconnect_0_prg_ram_s1_clken),      //       .clken
		.chipselect (mm_interconnect_0_prg_ram_s1_chipselect), //       .chipselect
		.write      (mm_interconnect_0_prg_ram_s1_write),      //       .write
		.readdata   (mm_interconnect_0_prg_ram_s1_readdata),   //       .readdata
		.writedata  (mm_interconnect_0_prg_ram_s1_writedata),  //       .writedata
		.byteenable (mm_interconnect_0_prg_ram_s1_byteenable), //       .byteenable
		.reset      (reconfig_mgmt_pll_reset_reset),           // reset1.reset
		.reset_req  (rst_controller_reset_out_reset_req),      //       .reset_req
		.freeze     (1'b0)                                     // (terminated)
	);

	controller_altera_avalon_timer_161_jv7rq6q sys_clk_timer (
		.clk        (clk),                                           //   clk.clk
		.reset_n    (~reconfig_mgmt_pll_reset_reset),                // reset.reset_n
		.address    (mm_interconnect_0_sys_clk_timer_s1_address),    //    s1.address
		.writedata  (mm_interconnect_0_sys_clk_timer_s1_writedata),  //      .writedata
		.readdata   (mm_interconnect_0_sys_clk_timer_s1_readdata),   //      .readdata
		.chipselect (mm_interconnect_0_sys_clk_timer_s1_chipselect), //      .chipselect
		.write_n    (~mm_interconnect_0_sys_clk_timer_s1_write),     //      .write_n
		.irq        (irq_mapper_receiver2_irq)                       //   irq.irq
	);

	controller_altera_mm_interconnect_161_yjrkopa mm_interconnect_0 (
		.clk_clk_clk                               (clk),                                                         //                           clk_clk.clk
		.nios2_reset_reset_bridge_in_reset_reset   (reconfig_mgmt_pll_reset_reset),                               // nios2_reset_reset_bridge_in_reset.reset
		.nios2_data_master_address                 (nios2_data_master_address),                                   //                 nios2_data_master.address
		.nios2_data_master_waitrequest             (nios2_data_master_waitrequest),                               //                                  .waitrequest
		.nios2_data_master_byteenable              (nios2_data_master_byteenable),                                //                                  .byteenable
		.nios2_data_master_read                    (nios2_data_master_read),                                      //                                  .read
		.nios2_data_master_readdata                (nios2_data_master_readdata),                                  //                                  .readdata
		.nios2_data_master_readdatavalid           (nios2_data_master_readdatavalid),                             //                                  .readdatavalid
		.nios2_data_master_write                   (nios2_data_master_write),                                     //                                  .write
		.nios2_data_master_writedata               (nios2_data_master_writedata),                                 //                                  .writedata
		.nios2_data_master_debugaccess             (nios2_data_master_debugaccess),                               //                                  .debugaccess
		.nios2_instruction_master_address          (nios2_instruction_master_address),                            //          nios2_instruction_master.address
		.nios2_instruction_master_waitrequest      (nios2_instruction_master_waitrequest),                        //                                  .waitrequest
		.nios2_instruction_master_read             (nios2_instruction_master_read),                               //                                  .read
		.nios2_instruction_master_readdata         (nios2_instruction_master_readdata),                           //                                  .readdata
		.nios2_instruction_master_readdatavalid    (nios2_instruction_master_readdatavalid),                      //                                  .readdatavalid
		.BitErrorCount_Reg_s1_address              (mm_interconnect_0_biterrorcount_reg_s1_address),              //              BitErrorCount_Reg_s1.address
		.BitErrorCount_Reg_s1_write                (mm_interconnect_0_biterrorcount_reg_s1_write),                //                                  .write
		.BitErrorCount_Reg_s1_readdata             (mm_interconnect_0_biterrorcount_reg_s1_readdata),             //                                  .readdata
		.BitErrorCount_Reg_s1_writedata            (mm_interconnect_0_biterrorcount_reg_s1_writedata),            //                                  .writedata
		.BitErrorCount_Reg_s1_chipselect           (mm_interconnect_0_biterrorcount_reg_s1_chipselect),           //                                  .chipselect
		.Bitrate_Reg_s1_address                    (mm_interconnect_0_bitrate_reg_s1_address),                    //                    Bitrate_Reg_s1.address
		.Bitrate_Reg_s1_write                      (mm_interconnect_0_bitrate_reg_s1_write),                      //                                  .write
		.Bitrate_Reg_s1_readdata                   (mm_interconnect_0_bitrate_reg_s1_readdata),                   //                                  .readdata
		.Bitrate_Reg_s1_writedata                  (mm_interconnect_0_bitrate_reg_s1_writedata),                  //                                  .writedata
		.Bitrate_Reg_s1_chipselect                 (mm_interconnect_0_bitrate_reg_s1_chipselect),                 //                                  .chipselect
		.Channel_Reg_s1_address                    (mm_interconnect_0_channel_reg_s1_address),                    //                    Channel_Reg_s1.address
		.Channel_Reg_s1_write                      (mm_interconnect_0_channel_reg_s1_write),                      //                                  .write
		.Channel_Reg_s1_readdata                   (mm_interconnect_0_channel_reg_s1_readdata),                   //                                  .readdata
		.Channel_Reg_s1_writedata                  (mm_interconnect_0_channel_reg_s1_writedata),                  //                                  .writedata
		.Channel_Reg_s1_chipselect                 (mm_interconnect_0_channel_reg_s1_chipselect),                 //                                  .chipselect
		.Control2_Reg_s1_address                   (mm_interconnect_0_control2_reg_s1_address),                   //                   Control2_Reg_s1.address
		.Control2_Reg_s1_write                     (mm_interconnect_0_control2_reg_s1_write),                     //                                  .write
		.Control2_Reg_s1_readdata                  (mm_interconnect_0_control2_reg_s1_readdata),                  //                                  .readdata
		.Control2_Reg_s1_writedata                 (mm_interconnect_0_control2_reg_s1_writedata),                 //                                  .writedata
		.Control2_Reg_s1_chipselect                (mm_interconnect_0_control2_reg_s1_chipselect),                //                                  .chipselect
		.Control_Reg_s1_address                    (mm_interconnect_0_control_reg_s1_address),                    //                    Control_Reg_s1.address
		.Control_Reg_s1_write                      (mm_interconnect_0_control_reg_s1_write),                      //                                  .write
		.Control_Reg_s1_readdata                   (mm_interconnect_0_control_reg_s1_readdata),                   //                                  .readdata
		.Control_Reg_s1_writedata                  (mm_interconnect_0_control_reg_s1_writedata),                  //                                  .writedata
		.Control_Reg_s1_chipselect                 (mm_interconnect_0_control_reg_s1_chipselect),                 //                                  .chipselect
		.Count_Reset_Reg_s1_address                (mm_interconnect_0_count_reset_reg_s1_address),                //                Count_Reset_Reg_s1.address
		.Count_Reset_Reg_s1_write                  (mm_interconnect_0_count_reset_reg_s1_write),                  //                                  .write
		.Count_Reset_Reg_s1_readdata               (mm_interconnect_0_count_reset_reg_s1_readdata),               //                                  .readdata
		.Count_Reset_Reg_s1_writedata              (mm_interconnect_0_count_reset_reg_s1_writedata),              //                                  .writedata
		.Count_Reset_Reg_s1_chipselect             (mm_interconnect_0_count_reset_reg_s1_chipselect),             //                                  .chipselect
		.Counter_1ms_Reg_s1_address                (mm_interconnect_0_counter_1ms_reg_s1_address),                //                Counter_1ms_Reg_s1.address
		.Counter_1ms_Reg_s1_write                  (mm_interconnect_0_counter_1ms_reg_s1_write),                  //                                  .write
		.Counter_1ms_Reg_s1_readdata               (mm_interconnect_0_counter_1ms_reg_s1_readdata),               //                                  .readdata
		.Counter_1ms_Reg_s1_writedata              (mm_interconnect_0_counter_1ms_reg_s1_writedata),              //                                  .writedata
		.Counter_1ms_Reg_s1_chipselect             (mm_interconnect_0_counter_1ms_reg_s1_chipselect),             //                                  .chipselect
		.DataClock_Reg_s1_address                  (mm_interconnect_0_dataclock_reg_s1_address),                  //                  DataClock_Reg_s1.address
		.DataClock_Reg_s1_write                    (mm_interconnect_0_dataclock_reg_s1_write),                    //                                  .write
		.DataClock_Reg_s1_readdata                 (mm_interconnect_0_dataclock_reg_s1_readdata),                 //                                  .readdata
		.DataClock_Reg_s1_writedata                (mm_interconnect_0_dataclock_reg_s1_writedata),                //                                  .writedata
		.DataClock_Reg_s1_chipselect               (mm_interconnect_0_dataclock_reg_s1_chipselect),               //                                  .chipselect
		.Dataout_Clock_Reg_s1_address              (mm_interconnect_0_dataout_clock_reg_s1_address),              //              Dataout_Clock_Reg_s1.address
		.Dataout_Clock_Reg_s1_write                (mm_interconnect_0_dataout_clock_reg_s1_write),                //                                  .write
		.Dataout_Clock_Reg_s1_readdata             (mm_interconnect_0_dataout_clock_reg_s1_readdata),             //                                  .readdata
		.Dataout_Clock_Reg_s1_writedata            (mm_interconnect_0_dataout_clock_reg_s1_writedata),            //                                  .writedata
		.Dataout_Clock_Reg_s1_chipselect           (mm_interconnect_0_dataout_clock_reg_s1_chipselect),           //                                  .chipselect
		.Delay_Reg_s1_address                      (mm_interconnect_0_delay_reg_s1_address),                      //                      Delay_Reg_s1.address
		.Delay_Reg_s1_write                        (mm_interconnect_0_delay_reg_s1_write),                        //                                  .write
		.Delay_Reg_s1_readdata                     (mm_interconnect_0_delay_reg_s1_readdata),                     //                                  .readdata
		.Delay_Reg_s1_writedata                    (mm_interconnect_0_delay_reg_s1_writedata),                    //                                  .writedata
		.Delay_Reg_s1_chipselect                   (mm_interconnect_0_delay_reg_s1_chipselect),                   //                                  .chipselect
		.Delay_Reg_2_s1_address                    (mm_interconnect_0_delay_reg_2_s1_address),                    //                    Delay_Reg_2_s1.address
		.Delay_Reg_2_s1_write                      (mm_interconnect_0_delay_reg_2_s1_write),                      //                                  .write
		.Delay_Reg_2_s1_readdata                   (mm_interconnect_0_delay_reg_2_s1_readdata),                   //                                  .readdata
		.Delay_Reg_2_s1_writedata                  (mm_interconnect_0_delay_reg_2_s1_writedata),                  //                                  .writedata
		.Delay_Reg_2_s1_chipselect                 (mm_interconnect_0_delay_reg_2_s1_chipselect),                 //                                  .chipselect
		.FEC_correctable_error_reg_s1_address      (mm_interconnect_0_fec_correctable_error_reg_s1_address),      //      FEC_correctable_error_reg_s1.address
		.FEC_correctable_error_reg_s1_write        (mm_interconnect_0_fec_correctable_error_reg_s1_write),        //                                  .write
		.FEC_correctable_error_reg_s1_readdata     (mm_interconnect_0_fec_correctable_error_reg_s1_readdata),     //                                  .readdata
		.FEC_correctable_error_reg_s1_writedata    (mm_interconnect_0_fec_correctable_error_reg_s1_writedata),    //                                  .writedata
		.FEC_correctable_error_reg_s1_chipselect   (mm_interconnect_0_fec_correctable_error_reg_s1_chipselect),   //                                  .chipselect
		.FEC_uncorrectable_error_reg_s1_address    (mm_interconnect_0_fec_uncorrectable_error_reg_s1_address),    //    FEC_uncorrectable_error_reg_s1.address
		.FEC_uncorrectable_error_reg_s1_write      (mm_interconnect_0_fec_uncorrectable_error_reg_s1_write),      //                                  .write
		.FEC_uncorrectable_error_reg_s1_readdata   (mm_interconnect_0_fec_uncorrectable_error_reg_s1_readdata),   //                                  .readdata
		.FEC_uncorrectable_error_reg_s1_writedata  (mm_interconnect_0_fec_uncorrectable_error_reg_s1_writedata),  //                                  .writedata
		.FEC_uncorrectable_error_reg_s1_chipselect (mm_interconnect_0_fec_uncorrectable_error_reg_s1_chipselect), //                                  .chipselect
		.irq_10us_s1_address                       (mm_interconnect_0_irq_10us_s1_address),                       //                       irq_10us_s1.address
		.irq_10us_s1_write                         (mm_interconnect_0_irq_10us_s1_write),                         //                                  .write
		.irq_10us_s1_readdata                      (mm_interconnect_0_irq_10us_s1_readdata),                      //                                  .readdata
		.irq_10us_s1_writedata                     (mm_interconnect_0_irq_10us_s1_writedata),                     //                                  .writedata
		.irq_10us_s1_chipselect                    (mm_interconnect_0_irq_10us_s1_chipselect),                    //                                  .chipselect
		.jtag_uart_avalon_jtag_slave_address       (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),       //       jtag_uart_avalon_jtag_slave.address
		.jtag_uart_avalon_jtag_slave_write         (mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),         //                                  .write
		.jtag_uart_avalon_jtag_slave_read          (mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),          //                                  .read
		.jtag_uart_avalon_jtag_slave_readdata      (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),      //                                  .readdata
		.jtag_uart_avalon_jtag_slave_writedata     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),     //                                  .writedata
		.jtag_uart_avalon_jtag_slave_waitrequest   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest),   //                                  .waitrequest
		.jtag_uart_avalon_jtag_slave_chipselect    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),    //                                  .chipselect
		.Latency_Max_Reg_s1_address                (mm_interconnect_0_latency_max_reg_s1_address),                //                Latency_Max_Reg_s1.address
		.Latency_Max_Reg_s1_write                  (mm_interconnect_0_latency_max_reg_s1_write),                  //                                  .write
		.Latency_Max_Reg_s1_readdata               (mm_interconnect_0_latency_max_reg_s1_readdata),               //                                  .readdata
		.Latency_Max_Reg_s1_writedata              (mm_interconnect_0_latency_max_reg_s1_writedata),              //                                  .writedata
		.Latency_Max_Reg_s1_chipselect             (mm_interconnect_0_latency_max_reg_s1_chipselect),             //                                  .chipselect
		.Latency_Min_Reg_s1_address                (mm_interconnect_0_latency_min_reg_s1_address),                //                Latency_Min_Reg_s1.address
		.Latency_Min_Reg_s1_write                  (mm_interconnect_0_latency_min_reg_s1_write),                  //                                  .write
		.Latency_Min_Reg_s1_readdata               (mm_interconnect_0_latency_min_reg_s1_readdata),               //                                  .readdata
		.Latency_Min_Reg_s1_writedata              (mm_interconnect_0_latency_min_reg_s1_writedata),              //                                  .writedata
		.Latency_Min_Reg_s1_chipselect             (mm_interconnect_0_latency_min_reg_s1_chipselect),             //                                  .chipselect
		.nios2_debug_mem_slave_address             (mm_interconnect_0_nios2_debug_mem_slave_address),             //             nios2_debug_mem_slave.address
		.nios2_debug_mem_slave_write               (mm_interconnect_0_nios2_debug_mem_slave_write),               //                                  .write
		.nios2_debug_mem_slave_read                (mm_interconnect_0_nios2_debug_mem_slave_read),                //                                  .read
		.nios2_debug_mem_slave_readdata            (mm_interconnect_0_nios2_debug_mem_slave_readdata),            //                                  .readdata
		.nios2_debug_mem_slave_writedata           (mm_interconnect_0_nios2_debug_mem_slave_writedata),           //                                  .writedata
		.nios2_debug_mem_slave_byteenable          (mm_interconnect_0_nios2_debug_mem_slave_byteenable),          //                                  .byteenable
		.nios2_debug_mem_slave_waitrequest         (mm_interconnect_0_nios2_debug_mem_slave_waitrequest),         //                                  .waitrequest
		.nios2_debug_mem_slave_debugaccess         (mm_interconnect_0_nios2_debug_mem_slave_debugaccess),         //                                  .debugaccess
		.prg_ram_s1_address                        (mm_interconnect_0_prg_ram_s1_address),                        //                        prg_ram_s1.address
		.prg_ram_s1_write                          (mm_interconnect_0_prg_ram_s1_write),                          //                                  .write
		.prg_ram_s1_readdata                       (mm_interconnect_0_prg_ram_s1_readdata),                       //                                  .readdata
		.prg_ram_s1_writedata                      (mm_interconnect_0_prg_ram_s1_writedata),                      //                                  .writedata
		.prg_ram_s1_byteenable                     (mm_interconnect_0_prg_ram_s1_byteenable),                     //                                  .byteenable
		.prg_ram_s1_chipselect                     (mm_interconnect_0_prg_ram_s1_chipselect),                     //                                  .chipselect
		.prg_ram_s1_clken                          (mm_interconnect_0_prg_ram_s1_clken),                          //                                  .clken
		.reconfig_mgmt_0_s0_address                (s0_address_from_the_reconfig_mgmt),                           //                reconfig_mgmt_0_s0.address
		.reconfig_mgmt_0_s0_write                  (s0_write_from_the_reconfig_mgmt),                             //                                  .write
		.reconfig_mgmt_0_s0_read                   (s0_read_from_the_reconfig_mgmt),                              //                                  .read
		.reconfig_mgmt_0_s0_readdata               (s0_readdata_to_the_reconfig_mgmt),                            //                                  .readdata
		.reconfig_mgmt_0_s0_writedata              (s0_writedata_from_the_reconfig_mgmt),                         //                                  .writedata
		.reconfig_mgmt_0_s0_waitrequest            (s0_waitrequest_to_the_reconfig_mgmt),                         //                                  .waitrequest
		.reconfig_mgmt_pll_s0_address              (reconfig_mgmt_pll_s0_address),                                //              reconfig_mgmt_pll_s0.address
		.reconfig_mgmt_pll_s0_write                (reconfig_mgmt_pll_s0_write),                                  //                                  .write
		.reconfig_mgmt_pll_s0_read                 (reconfig_mgmt_pll_s0_read),                                   //                                  .read
		.reconfig_mgmt_pll_s0_readdata             (reconfig_mgmt_pll_s0_readdata),                               //                                  .readdata
		.reconfig_mgmt_pll_s0_writedata            (reconfig_mgmt_pll_s0_writedata),                              //                                  .writedata
		.reconfig_mgmt_pll_s0_waitrequest          (reconfig_mgmt_pll_s0_waitrequest),                            //                                  .waitrequest
		.sys_clk_timer_s1_address                  (mm_interconnect_0_sys_clk_timer_s1_address),                  //                  sys_clk_timer_s1.address
		.sys_clk_timer_s1_write                    (mm_interconnect_0_sys_clk_timer_s1_write),                    //                                  .write
		.sys_clk_timer_s1_readdata                 (mm_interconnect_0_sys_clk_timer_s1_readdata),                 //                                  .readdata
		.sys_clk_timer_s1_writedata                (mm_interconnect_0_sys_clk_timer_s1_writedata),                //                                  .writedata
		.sys_clk_timer_s1_chipselect               (mm_interconnect_0_sys_clk_timer_s1_chipselect),               //                                  .chipselect
		.Temperature_Reg_s1_address                (mm_interconnect_0_temperature_reg_s1_address),                //                Temperature_Reg_s1.address
		.Temperature_Reg_s1_write                  (mm_interconnect_0_temperature_reg_s1_write),                  //                                  .write
		.Temperature_Reg_s1_readdata               (mm_interconnect_0_temperature_reg_s1_readdata),               //                                  .readdata
		.Temperature_Reg_s1_writedata              (mm_interconnect_0_temperature_reg_s1_writedata),              //                                  .writedata
		.Temperature_Reg_s1_chipselect             (mm_interconnect_0_temperature_reg_s1_chipselect)              //                                  .chipselect
	);

	controller_altera_irq_mapper_161_3an4xvy irq_mapper (
		.clk           (clk),                           //       clk.clk
		.reset         (reconfig_mgmt_pll_reset_reset), // clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),      // receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),      // receiver1.irq
		.receiver2_irq (irq_mapper_receiver2_irq),      // receiver2.irq
		.sender_irq    (nios2_irq_irq)                  //    sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_n),                           // reset_in0.reset
		.reset_in1      (nios2_debug_reset_request_reset),    // reset_in1.reset
		.clk            (clk),                                //       clk.clk
		.reset_out      (reconfig_mgmt_pll_reset_reset),      // reset_out.reset
		.reset_req      (rst_controller_reset_out_reset_req), //          .reset_req
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	assign reset_reset_from_the_reconfig_mgmt = reconfig_mgmt_pll_reset_reset;

endmodule
